%define packname alr3
%global packver 2.0
# Note that some R packages do not use packrel
%define packrel 8

Name: R-%{packname}
Version: %{packver}.%{packrel}
Release: 1.el8.lc
Summary: Methods and data to accompany Applied Linear Regression 3rd edition

Group: Applications/Engineering
License: GPLv2+
URL: http://cran.r-project.org/web/packages/alr3/index.html
Source0: http://cran.r-project.org/src/contrib/%{packname}_%{packver}.%{packrel}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

BuildRequires: R-devel, tex(latex) R-car
Requires:   R-core
%define debug_package %{nil}

%description
R package:
This library is a companion to the textbook S. Weisberg (2005), "Applied Linear Regression," 3rd edition, Wiley. 
It includes all the data sets discussed in the book (except one), and several few functions that are tailored to 
the methods discussed in the book.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css
cp -pr %{packname}/man %{buildroot}%{_libdir}/R/library/%{packname}

%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%post

%postun

%files
%defattr(-,root,root,-)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/man
%doc %{_libdir}/R/library/%{packname}/CITATION
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/data
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/extdata/BGSall.txt
%{_libdir}/R/library/%{packname}/extdata/BGSboys.txt
%{_libdir}/R/library/%{packname}/extdata/BGSgirls.txt
%{_libdir}/R/library/%{packname}/extdata/BigMac2003.txt
%{_libdir}/R/library/%{packname}/extdata/MWwords.txt
%{_libdir}/R/library/%{packname}/extdata/Mitchell.txt
%{_libdir}/R/library/%{packname}/extdata/UN1.txt
%{_libdir}/R/library/%{packname}/extdata/UN2.txt
%{_libdir}/R/library/%{packname}/extdata/UN3.txt
%{_libdir}/R/library/%{packname}/extdata/ais.txt
%{_libdir}/R/library/%{packname}/extdata/allshoots.txt
%{_libdir}/R/library/%{packname}/extdata/baeskel.txt
%{_libdir}/R/library/%{packname}/extdata/banknote.txt
%{_libdir}/R/library/%{packname}/extdata/blowAPB.txt
%{_libdir}/R/library/%{packname}/extdata/blowBF.txt
%{_libdir}/R/library/%{packname}/extdata/blowdown.txt
%{_libdir}/R/library/%{packname}/extdata/brains.txt
%{_libdir}/R/library/%{packname}/extdata/cakes.txt
%{_libdir}/R/library/%{packname}/extdata/cathedral.txt
%{_libdir}/R/library/%{packname}/extdata/caution.txt
%{_libdir}/R/library/%{packname}/extdata/challeng.txt
%{_libdir}/R/library/%{packname}/extdata/chloride.txt
%{_libdir}/R/library/%{packname}/extdata/cloud.txt
%{_libdir}/R/library/%{packname}/extdata/domedata.txt
%{_libdir}/R/library/%{packname}/extdata/domedata1.txt
%{_libdir}/R/library/%{packname}/extdata/donner.txt
%{_libdir}/R/library/%{packname}/extdata/downer.txt
%{_libdir}/R/library/%{packname}/extdata/drugcost.txt
%{_libdir}/R/library/%{packname}/extdata/dwaste.txt
%{_libdir}/R/library/%{packname}/extdata/florida.txt
%{_libdir}/R/library/%{packname}/extdata/forbes.txt
%{_libdir}/R/library/%{packname}/extdata/ftcollinssnow.txt
%{_libdir}/R/library/%{packname}/extdata/fuel2001.txt
%{_libdir}/R/library/%{packname}/extdata/galapagos.txt
%{_libdir}/R/library/%{packname}/extdata/galtonpeas.txt
%{_libdir}/R/library/%{packname}/extdata/heights.txt
%{_libdir}/R/library/%{packname}/extdata/highway.txt
%{_libdir}/R/library/%{packname}/extdata/hooker.txt
%{_libdir}/R/library/%{packname}/extdata/htwt.txt
%{_libdir}/R/library/%{packname}/extdata/jevons.txt
%{_libdir}/R/library/%{packname}/extdata/lakemary.txt
%{_libdir}/R/library/%{packname}/extdata/lakes.txt
%{_libdir}/R/library/%{packname}/extdata/landrent.txt
%{_libdir}/R/library/%{packname}/extdata/lathe1.txt
%{_libdir}/R/library/%{packname}/extdata/longshoots.txt
%{_libdir}/R/library/%{packname}/extdata/mantel.txt
%{_libdir}/R/library/%{packname}/extdata/mile.txt
%{_libdir}/R/library/%{packname}/extdata/npdata.txt
%{_libdir}/R/library/%{packname}/extdata/oldfaith.txt
%{_libdir}/R/library/%{packname}/extdata/physics.txt
%{_libdir}/R/library/%{packname}/extdata/physics1.txt
%{_libdir}/R/library/%{packname}/extdata/pipeline.txt
%{_libdir}/R/library/%{packname}/extdata/prodscore.txt
%{_libdir}/R/library/%{packname}/extdata/rat.txt
%{_libdir}/R/library/%{packname}/extdata/salary.txt
%{_libdir}/R/library/%{packname}/extdata/salarygov.txt
%{_libdir}/R/library/%{packname}/extdata/segreg.txt
%{_libdir}/R/library/%{packname}/extdata/shocks.txt
%{_libdir}/R/library/%{packname}/extdata/shortshoots.txt
%{_libdir}/R/library/%{packname}/extdata/sleep1.txt
%{_libdir}/R/library/%{packname}/extdata/snake.txt
%{_libdir}/R/library/%{packname}/extdata/sniffer.txt
%{_libdir}/R/library/%{packname}/extdata/snowgeese.txt
%{_libdir}/R/library/%{packname}/extdata/stopping.txt
%{_libdir}/R/library/%{packname}/extdata/swan96.txt
%{_libdir}/R/library/%{packname}/extdata/titanic.txt
%{_libdir}/R/library/%{packname}/extdata/torda.R
%{_libdir}/R/library/%{packname}/extdata/transact.txt
%{_libdir}/R/library/%{packname}/extdata/turk0.txt
%{_libdir}/R/library/%{packname}/extdata/turkey.txt
%{_libdir}/R/library/%{packname}/extdata/twins.txt
%{_libdir}/R/library/%{packname}/extdata/ufc.txt
%{_libdir}/R/library/%{packname}/extdata/ufcdf.txt
%{_libdir}/R/library/%{packname}/extdata/ufcgf.txt
%{_libdir}/R/library/%{packname}/extdata/ufcwc.txt
%{_libdir}/R/library/%{packname}/extdata/walleye.txt
%{_libdir}/R/library/%{packname}/extdata/water.txt
%{_libdir}/R/library/%{packname}/extdata/wblake.txt
%{_libdir}/R/library/%{packname}/extdata/wblake2.txt
%{_libdir}/R/library/%{packname}/extdata/wm1.txt
%{_libdir}/R/library/%{packname}/extdata/wm2.txt
%{_libdir}/R/library/%{packname}/extdata/wm3.txt
%{_libdir}/R/library/%{packname}/extdata/wm4.txt
%{_libdir}/R/library/%{packname}/extdata/wool.txt

%changelog
* Sat Nov 14 2020 Stuart Raeburn <raeburn@loncapa.org> (2.0.8-1)
- Rebuild for R 4.0.3

* Sat Sep 28 2019 Stuart Raeburn <raeburn@loncapa.org> (2.0.8-0)
- Initial build for R 3.6.1
